View Issue Details

IDProjectCategoryView StatusLast Update
0017108MediaMonkey 5Main Panelpublic2020-11-27 23:51
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017108: List (Folders) panel keeps reloading
DescriptionView an Album that has no sub-folders (ie. List (Folders) is hidden) the List (Folders) panel keeps popping up with loading message.

1) Only tags are being edited, not Auto-Organize or otherwise moving/renaming of files/folders. Thus there is no need to show folders.

2) When List (Folders) appears it causes:
a) The Filelisting to shift down, thus potentially causing tagging of wrong file
b) Inline editing to be closed and Search to engage
TagsNo tags attached.
Fixed in build2275

Activities

Ludek

2020-11-19 16:59

developer   ~0060293

Yes, re-loading happens after every tag change as even after editing the 'Original Date' the track could get out of the current collection when the collection criteria is 'Original Date < 1974'.
I mean the cases when the track is edited e.g. in the Playing panel and the sub-folders in the middle view would change by the editing.

But you are true that the 'Loading...' progress shouldn't be there in case of the silent background re-loading.

Fixed in 2275

peke

2020-11-21 20:34

developer   ~0060310

Verified 2275

Loading progress bar is not shown anymore.

@lowlander please confirm after second verification

lowlander

2020-11-27 23:51

developer   ~0060408

Confirmed on 2275